﻿
@using BenhVien.UI.Models;
@model IEnumerable<UserInfo>
@{
    /**/
    UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
    int stt = 0;

}
@if (Model != null && Model.Count() > 0)
{
    foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@(++stt)</td>
            <td class="text-center">
                <span class="">@item.User.Code</span>
            </td>
            <td class="text-center">
                <span class="">@item.User.TenDangNhap</span>
            </td>
            <td class="text-center">
                <span class="">@item.User.HoTen</span>
            </td>
            <td class="text-center">@item.User.SDT</td>
            <td class="text-center">@item.User.Email</td>

            <td class="text-center">@item.User.DiaChi</td>
            <td class="text-center">
                <span data-id="@item.User.Id" onclick="CapNhatTrangThai($(this))" style="cursor: pointer" title="Cập nhật trạng thái">
                    <i class="fa @(item.User.TrangThaiID == EnumStatus.ACTIVE? "fa-unlock":"fa-lock")" style="font-size:22px;"></i>
                </span>
            </td>
            <td class="text-center">
                <a class="btn btn-xs btn-info" data-id="@item.User.Id" onclick="ResetPassword($(this))"><i class="fa fa-refresh"></i> Reset</a>
            </td>
            <td class="text-center clickable-td">
                <div class="dropdown">
                    <button class="btn btn-xs btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:160px;">
                        Thao tác
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            @if (item.User.LoaiNguoiDung == EnumUserType.BENH_NHAN)
                            {
                                <a class="btn btn-xs btn-success" style="cursor:pointer;padding-right:10px;" onclick="selectUpdate('@item.User.Id','@EnumUserType.BENH_NHAN')"><i class="fa fa-pencil-square-o"></i> Sửa</a>
                            }
                            else
                            {
                                <a class="btn btn-xs btn-success" style="cursor:pointer;padding-right:10px;" onclick="selectUpdate('@item.User.Id')"><i class="fa fa-pencil-square-o"></i> Sửa</a>
                            }

                        </li>
                        <li>
                            <a class="btn btn-xs btn-danger" data-id="@item.User.Id" onclick="Xoa($(this))"><i class="fa fa-trash"></i> Xóa</a>
                        </li>
                    </ul>
                </div>

            </td>
        </tr>

    }
}
<script>
    $('#idsotrang').val('@ViewBag.sotrang');
    document.getElementById("idtongsotrang").innerHTML = '@ViewBag.tongsotrang';
    document.getElementById("idtongso").innerHTML = '(' + '@ViewBag.tongso' + ')';
    $(".clickable-td").on("click", function (e) {
        //e.stopPropagation();
        $(".dropdown-toggle").dropdown();
    });
    function selectUpdate(id,type) {
        debugger;
        var url = "";
        if (type == '@EnumUserType.BENH_NHAN') {
            url = '@Url.Action("BenhNhan_Update", "NguoiDung", new { area = "QuanTri"})';
        } else {
            url = '@Url.Action("Update", "NguoiDung", new { area = "QuanTri"})';
        }
        $.ajax({
            url: url,
            type: 'GET',
            asyn: false,
            data: { id: id },
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $.ajax({
                    url: url,
                    type: 'GET',
                    asyn: false,
                    data: { id: id },
                    success: function (data) {
                        $('#modal-qltaikhoan').html(data);
                        $('#modal-qltaikhoan').modal('show');
                    }
                });
            }
        });
    }



</script>

